Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchPage

All Superinterfaces:
  org.eclipse.ui.internal.ICompatibleWorkbenchPage, IPartService, ISelectionService

public interface IWorkbenchPage
extends IPartService, ISelectionService, org.eclipse.ui.internal.ICompatibleWorkbenchPage

A workbench page consists of an arrangement of views and editors intended to be presented together to the user in a single workbench window.

A page can contain 0 or more views and 0 or more editors. These views and editors are contained wholly within the page and are not shared with other pages. The layout and visible action set for the page is defined by a perspective.

The number of views and editors within a page is restricted to simplify part management for the user. In particular:

- Only one instance of a particular view type may exist within a workbench page.
- Only one editor can exist for each editor input within a page.

This interface is not intended to be implemented by clients.

See Also:
  `IPerspectiveDescriptor`, `IEditorPart`, `IViewPart`

Field Summary
`static String` | `CHANGE_ACTION_SET_HIDE` Change event id when an action set is hidden in a perspective.
`static String` | `CHANGE_ACTION_SET_SHOW` Change event id when an action set is shown in a perspective.
`static String` | `CHANGE_EDITOR_AREA_HIDE` Change event id when the editor area is hidden in a perspective.
`static String` | `CHANGE_EDITOR_AREA_SHOW` Change event id when the editor area is shown in a perspective.
`static String` | `CHANGE_EDITOR_CLOSE` Change event id when one or more editors are closed in a perspective.
`static String` | `CHANGE_EDITOR_OPEN` Change event id when one or more editors are opened in a perspective.
`static String` | `CHANGE_FAST_VIEW_ADD` Change event id when a fast view is added in a perspective.
`static String` | `CHANGE_FAST_VIEW_REMOVE` Change event id when a fast view is removed in a perspective.
`static String` | `CHANGE_RESET` Change event id when the perspective is reset to its original state.
`static String` | `CHANGE_RESET_COMPLETE` Change event id when the perspective has completed a reset to its original state.
`static String` | `CHANGE_VIEW_HIDE` Change event id when one or more views are hidden in a perspective.
`static String` | `CHANGE_VIEW_SHOW` Change event id when one or more views are shown in a perspective.
`static String` | `CHANGE_WORKING_SET_REPLACE` Change event id when the page working set was replaced
`static String` | `EDITOR_ID_ATTR` Deprecated. in 3.0 since the notion of markers this is not generally applicable. Use the IDE-specific constant `IDE.EDITOR_ID_ATTR`.
`static int` | `VIEW_ACTIVATE` Show view mode that indicates the view should be made visible and activated.
`static int` | `VIEW_CREATE` Show view mode that indicates the view should be made created but not necessarily be made visible.
`static int` | `VIEW_VISIBLE` Show view mode that indicates the view should be made visible.

Method Summary
`void` | `activate(IWorkbenchPart part)` Activates the given part.
`void` | `addPropertyChangeListener(IPropertyChangeListener listener)` Deprecated. individual views should store a working set if needed and register a property change listener directly with the working set manager to receive notification when the view working set is removed.
`void` | `bringToTop(IWorkbenchPart part)` Moves the given part forward in the Z order of this page so as to make it visible, without changing which part has focus.
`boolean` | `close()` Closes this workbench page.
`boolean` | `closeAllEditors(boolean save)` Closes all of the editors belonging to this workbench page.
`boolean` | `closeEditor(IEditorPart editor, boolean save)` Closes the given editor.
`boolean` | `closeEditors(IEditorReference[] editorRefs, boolean save)` Closes the given `Array` of editor references.
`IEditorPart` | `findEditor(IEditorInput input)` Returns the editor with the specified input.
`IViewPart` | `findView(String viewId)` Returns the view in this page with the specified id.
`IViewReference` | `findViewReference(String viewId)` Returns the view reference with the specified id.
`IViewReference` | `findViewReference(String viewId, String secondaryId)` Returns the view reference with the specified id and secondary id.
`IEditorPart` | `getActiveEditor()` Returns the active editor open in this page.
`IEditorPart[]` | `getDirtyEditors()` Returns a list of dirty editors in this page.
`IEditorReference[]` | `getEditorReferences()` Returns a array of references to open editors in this page.
`int` | `getEditorReuseThreshold()` Deprecated.
`IEditorPart[]` | `getEditors()` Deprecated. use #getEditorReferences() instead
`IAdaptable` | `getInput()` Returns the input for this page.
`String` | `getLabel()` Returns the page label.
`INavigationHistory` | `getNavigationHistory()` Returns the navigation history which manages a list of entries keeping the history of places (positions, selection and editors) the user visited making it easier to the user to move back and forward without losing context.
`IPerspectiveDescriptor` | `getPerspective()` Returns the current perspective descriptor for this page, or `null` if the is no current perspective.
`IViewReference[]` | `getViewReferences()` Returns a list of the reference to views visible on this page.
`IViewPart[]` | `getViews()` Deprecated. use #getViewReferences() instead.
`IViewPart[]` | `getViewStack(IViewPart part)` Returns an array of IViewParts that are stacked with the given part.
`IWorkbenchWindow` | `getWorkbenchWindow()` Returns the workbench window of this page.
`IWorkingSet` | `getWorkingSet()` Deprecated. individual views should store a working set if needed
`void` | `hideActionSet(String actionSetID)` Hides an action set in this page.
`void` | `hideView(IViewPart view)` Hides the given view.
`void` | `hideView(IViewReference view)` Hides the given view that belongs to the reference, if any.
`boolean` | `isEditorAreaVisible()` Returns whether the page's current perspective is showing the editor area.
`boolean` | `isEditorPinned(IEditorPart editor)` Returns true if the editor is pinned and should not be reused.
`boolean` | `isPartVisible(IWorkbenchPart part)` Returns whether the specified part is visible.
`IEditorPart` | `openEditor(IEditorInput input, String editorId)` Opens an editor on the given input.
`IEditorPart` | `openEditor(IEditorInput input, String editorId, boolean activate)` Opens an editor on the given input.
`void` | `removePropertyChangeListener(IPropertyChangeListener listener)` Deprecated. individual views should store a working set if needed and register a property change listener directly with the working set manager to receive notification when the view working set is removed.
`void` | `resetPerspective()` Changes the visible views, their layout, and the visible action sets within the page to match the current perspective descriptor.
`void` | `reuseEditor(IReusableEditor editor, IEditorInput input)` Reuses the specified editor by setting its new input.
`boolean` | `saveAllEditors(boolean confirm)` Saves the contents of all dirty editors belonging to this workbench page.
`boolean` | `saveEditor(IEditorPart editor, boolean confirm)` Saves the contents of the given editor if dirty.
`void` | `savePerspective()` Saves the visible views, their layout, and the visible action sets for this page to the current perspective descriptor.
`void` | `savePerspectiveAs(IPerspectiveDescriptor perspective)` Saves the visible views, their layout, and the visible action sets for this page to the given perspective descriptor.
`void` | `setEditorAreaVisible(boolean showEditorArea)` Show or hide the editor area for the page's active perspective.
`void` | `setEditorReuseThreshold(int openEditors)` Deprecated. use IPageLayout.setEditorReuseThreshold(int openEditors) instead.
`void` | `setPerspective(IPerspectiveDescriptor perspective)` Changes the visible views, their layout, and the visible action sets within the page to match the given perspective descriptor.
`void` | `showActionSet(String actionSetID)` Shows an action set in this page.
`IViewPart` | `showView(String viewId)` Shows the view identified by the given view id in this page and gives it focus.
`IViewPart` | `showView(String viewId, String secondaryId, int mode)` Shows a view in this page with the given id and secondary id.

Methods inherited from interface org.eclipse.ui.IPartService
`addPartListener, addPartListener, getActivePart, getActivePartReference, removePartListener, removePartListener`

Methods inherited from interface org.eclipse.ui.ISelectionService
`addPostSelectionListener, addPostSelectionListener, addSelectionListener, addSelectionListener, getSelection, getSelection, removePostSelectionListener, removePostSelectionListener, removeSelectionListener, removeSelectionListener`

Field Detail

### EDITOR_ID_ATTR

    public static final String EDITOR_ID_ATTR

  Deprecated. in 3.0 since the notion of markers this is not generally applicable. Use the IDE-specific constant `IDE.EDITOR_ID_ATTR`.

  An optional attribute within a workspace marker (`IMarker`) which identifies the preferred editor type to be opened when `openEditor` is called.

  See Also:
    `openEditor(org.eclipse.ui.IEditorInput, java.lang.String)`, Constant Field Values

### CHANGE_RESET

    public static final String CHANGE_RESET

  Change event id when the perspective is reset to its original state.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_RESET_COMPLETE

    public static final String CHANGE_RESET_COMPLETE

  Change event id when the perspective has completed a reset to its original state.

  Since:
    3.0
  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_VIEW_SHOW

    public static final String CHANGE_VIEW_SHOW

  Change event id when one or more views are shown in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_VIEW_HIDE

    public static final String CHANGE_VIEW_HIDE

  Change event id when one or more views are hidden in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_EDITOR_OPEN

    public static final String CHANGE_EDITOR_OPEN

  Change event id when one or more editors are opened in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_EDITOR_CLOSE

    public static final String CHANGE_EDITOR_CLOSE

  Change event id when one or more editors are closed in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_EDITOR_AREA_SHOW

    public static final String CHANGE_EDITOR_AREA_SHOW

  Change event id when the editor area is shown in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_EDITOR_AREA_HIDE

    public static final String CHANGE_EDITOR_AREA_HIDE

  Change event id when the editor area is hidden in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_ACTION_SET_SHOW

    public static final String CHANGE_ACTION_SET_SHOW

  Change event id when an action set is shown in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_ACTION_SET_HIDE

    public static final String CHANGE_ACTION_SET_HIDE

  Change event id when an action set is hidden in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_FAST_VIEW_ADD

    public static final String CHANGE_FAST_VIEW_ADD

  Change event id when a fast view is added in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_FAST_VIEW_REMOVE

    public static final String CHANGE_FAST_VIEW_REMOVE

  Change event id when a fast view is removed in a perspective.

  See Also:
    `IPerspectiveListener`, Constant Field Values

### CHANGE_WORKING_SET_REPLACE

    public static final String CHANGE_WORKING_SET_REPLACE

  Change event id when the page working set was replaced

  See Also:
    `IPropertyChangeListener`, Constant Field Values

### VIEW_ACTIVATE

    public static final int VIEW_ACTIVATE

  Show view mode that indicates the view should be made visible and activated. Use of this mode has the same effect as calling `showView(String)`.

  Since:
    3.0
  See Also:
    Constant Field Values

### VIEW_VISIBLE

    public static final int VIEW_VISIBLE

  Show view mode that indicates the view should be made visible. If the view is opened in the container that contains the active view then this has the same effect as `VIEW_CREATE`.

  Since:
    3.0
  See Also:
    Constant Field Values

### VIEW_CREATE

    public static final int VIEW_CREATE

  Show view mode that indicates the view should be made created but not necessarily be made visible. It will only be made visible in the event that it is opened in its own container. In other words, only if it is not stacked with another view.

  Since:
    3.0
  See Also:
    Constant Field Values

Method Detail

### activate

    public void activate(IWorkbenchPart part)

  Activates the given part. The part will be brought to the front and given focus. The part must belong to this page.

  Parameters:
    `part` - the part to activate

### addPropertyChangeListener

    public void addPropertyChangeListener(IPropertyChangeListener listener)

  Deprecated. individual views should store a working set if needed and register a property change listener directly with the working set manager to receive notification when the view working set is removed.

  Adds a property change listener.

  Parameters:
    `listener` - the property change listener to add
  Since:
    2.0

### bringToTop

    public void bringToTop(IWorkbenchPart part)

  Moves the given part forward in the Z order of this page so as to make it visible, without changing which part has focus. The part must belong to this page.

  Parameters:
    `part` - the part to bring forward

### close

    public boolean close()

  Closes this workbench page. If this page is the active one, this honor is passed along to one of the window's other pages if possible.

  If the page has an open editor with unsaved content, the user will be given the opportunity to save it.

  Returns:
    `true` if the page was successfully closed, and `false` if it is still open

### closeAllEditors

    public boolean closeAllEditors(boolean save)

  Closes all of the editors belonging to this workbench page.

  If the page has open editors with unsaved content and `save` is `true`, the user will be given the opportunity to save them.

  Parameters:
    `save` -
  Returns:
    `true` if all editors were successfully closed, and `false` if at least one is still open

### closeEditors

    public boolean closeEditors(IEditorReference[] editorRefs,
                                boolean save)

  Closes the given `Array` of editor references. The editors must belong to this workbench page.

  If any of the editors have unsaved content and `save` is `true`, the user will be given the opportunity to save them.

  Parameters:
    `editorRefs` - the editors to close
    `save` - `true` to save the editor contents if required (recommended), and `false` to discard any unsaved changes
  Returns:
    `true` if the editors were successfully closed, and `false` if the editors are still open
  Since:
    3.0

### closeEditor

    public boolean closeEditor(IEditorPart editor,
                               boolean save)

  Closes the given editor. The editor must belong to this workbench page.

  If the editor has unsaved content and `save` is `true`, the user will be given the opportunity to save it.

  Parameters:
    `editor` - the editor to close
    `save` - `true` to save the editor contents if required (recommended), and `false` to discard any unsaved changes
  Returns:
    `true` if the editor was successfully closed, and `false` if the editor is still open

### findView

    public IViewPart findView(String viewId)

  Returns the view in this page with the specified id. There is at most one view in the page with the specified id.

  Parameters:
    `viewId` - the id of the view extension to use
  Returns:
    the view, or `null` if none is found

### findViewReference

    public IViewReference findViewReference(String viewId)

  Returns the view reference with the specified id.

  Parameters:
    `viewId` - the id of the view extension to use
  Returns:
    the view reference, or `null` if none is found
  Since:
    3.0

### findViewReference

    public IViewReference findViewReference(String viewId,
                                            String secondaryId)

  Returns the view reference with the specified id and secondary id.

  Parameters:
    `viewId` - the id of the view extension to use
    `secondaryId` - the secondary id to use, or `null` for no secondary id
  Returns:
    the view reference, or `null` if none is found
  Since:
    3.0

### getActiveEditor

    public IEditorPart getActiveEditor()

  Returns the active editor open in this page.

  This is the visible editor on the page, or, if there is more than one visible editor, this is the one most recently brought to top.

  Returns:
    the active editor, or `null` if no editor is active

### findEditor

    public IEditorPart findEditor(IEditorInput input)

  Returns the editor with the specified input. Returns null if there is no opened editor with that input.

  Returns:
    an editor with input equals to `input`

### getEditors

    public IEditorPart[] getEditors()

  Deprecated. use #getEditorReferences() instead

  Returns a list of the editors open in this page.

  Note that each page has its own editors; editors are never shared between pages.

  Returns:
    a list of open editors

### getEditorReferences

    public IEditorReference[] getEditorReferences()

  Returns a array of references to open editors in this page.

  Note that each page has its own editors; editors are never shared between pages.

  Returns:
    a list of open editors

### getDirtyEditors

    public IEditorPart[] getDirtyEditors()

  Returns a list of dirty editors in this page.

  Returns:
    a list of dirty editors

### getInput

    public IAdaptable getInput()

  Returns the input for this page.

  Returns:
    the input for this page, or `null` if none

### getLabel

    public String getLabel()

  Returns the page label. This will be a unique identifier within the containing workbench window.

  Returns:
    the page label

### getPerspective

    public IPerspectiveDescriptor getPerspective()

  Returns the current perspective descriptor for this page, or `null` if the is no current perspective.

  Returns:
    the current perspective descriptor or `null`
  See Also:
    `setPerspective(org.eclipse.ui.IPerspectiveDescriptor)`, `savePerspective()`

### getViewReferences

    public IViewReference[] getViewReferences()

  Returns a list of the reference to views visible on this page.

  Note that each page has its own views; views are never shared between pages.

  Returns:
    a list of references to visible views

### getViews

    public IViewPart[] getViews()

  Deprecated. use #getViewReferences() instead.

  Returns a list of the views visible on this page.

  Note that each page has its own views; views are never shared between pages.

  Returns:
    a list of visible views

### getWorkbenchWindow

    public IWorkbenchWindow getWorkbenchWindow()

  Returns the workbench window of this page.

  Returns:
    the workbench window

### getWorkingSet

    public IWorkingSet getWorkingSet()

  Deprecated. individual views should store a working set if needed

  Returns the working set of this page.

  Returns:
    the working set of this page.
  Since:
    2.0

### hideActionSet

    public void hideActionSet(String actionSetID)

  Hides an action set in this page.

  In most cases where this method is used the caller is tightly coupled to a particular action set. They define it in the registry and may make it visible in certain scenarios by calling `showActionSet`. A static variable is often used to identify the action set id in caller code.

### hideView

    public void hideView(IViewPart view)

  Hides the given view. The view must belong to this page.

  Parameters:
    `view` - the view to hide

### hideView

    public void hideView(IViewReference view)

  Hides the given view that belongs to the reference, if any.

  Parameters:
    `view` - the references whos view is to be hidden
  Since:
    3.0

### isPartVisible

    public boolean isPartVisible(IWorkbenchPart part)

  Returns whether the specified part is visible.

  Returns:
    boolean true if part is visible

### isEditorAreaVisible

    public boolean isEditorAreaVisible()

  Returns whether the page's current perspective is showing the editor area.

  Returns:
    `true` when editor area visible, `false` otherwise

### reuseEditor

    public void reuseEditor(IReusableEditor editor,
                            IEditorInput input)

  Reuses the specified editor by setting its new input.

  Parameters:
    `editor` - the editor to be reused
    `input` - the new input for the reusable editor

### openEditor

    public IEditorPart openEditor(IEditorInput input,
                                  String editorId)
                           throws PartInitException

  Opens an editor on the given input.

  If this page already has an editor open on the target input that editor is activated; otherwise, a new editor is opened. Two editor inputs, input1 and input2, are considered the same if

        input1.equals(input2) == true

  .

  The editor type is determined by mapping `editorId` to an editor extension registered with the workbench. An editor id is passed rather than an editor object to prevent the accidental creation of more than one editor for the same input. It also guarantees a consistent lifecycle for editors, regardless of whether they are created by the user or restored from saved data.

  Parameters:
    `input` - the editor input
    `editorId` - the id of the editor extension to use
  Returns:
    an open and active editor, or `null` if an external editor was opened
  Throws:
    `PartInitException` - if the editor could not be created or initialized

### openEditor

    public IEditorPart openEditor(IEditorInput input,
                                  String editorId,
                                  boolean activate)
                           throws PartInitException

  Opens an editor on the given input.

  If this page already has an editor open on the target input that editor is brought to the front; otherwise, a new editor is opened. Two editor inputs are considered the same if they equal. See `Object.equals(Object)`and `IEditorInput`. If `activate == true` the editor will be activated.``

  The editor type is determined by mapping `editorId` to an editor extension registered with the workbench. An editor id is passed rather than an editor object to prevent the accidental creation of more than one editor for the same input. It also guarantees a consistent lifecycle for editors, regardless of whether they are created by the user or restored from saved data.

  *

  Parameters:
    `input` - the editor input
    `editorId` - the id of the editor extension to use
    `activate` - if `true` the editor will be activated
  Returns:
    an open editor, or `null` if an external editor was opened
  Throws:
    `PartInitException` - if the editor could not be created or initialized

### removePropertyChangeListener

    public void removePropertyChangeListener(IPropertyChangeListener listener)

  Deprecated. individual views should store a working set if needed and register a property change listener directly with the working set manager to receive notification when the view working set is removed.

  Removes the property change listener.

  Parameters:
    `listener` - the property change listener to remove
  Since:
    2.0

### resetPerspective

    public void resetPerspective()

  Changes the visible views, their layout, and the visible action sets within the page to match the current perspective descriptor. This is a rearrangement of components and not a replacement. The contents of the current perspective descriptor are unaffected.

  For more information on perspective change see `setPerspective()`.

### saveAllEditors

    public boolean saveAllEditors(boolean confirm)

  Saves the contents of all dirty editors belonging to this workbench page. If there are no dirty editors this method returns without effect.

  If `confirm` is `true` the user is prompted to confirm the command.

  Parameters:
    `confirm` - `true` to ask the user before saving unsaved changes (recommended), and `false` to save unsaved changes without asking
  Returns:
    `true` if the command succeeded, and `false` if at least one editor with unsaved changes was not saved

### saveEditor

    public boolean saveEditor(IEditorPart editor,
                              boolean confirm)

  Saves the contents of the given editor if dirty. If not, this method returns without effect.

  If `confirm` is `true` the user is prompted to confirm the command. Otherwise, the save happens without prompt.

  The editor must belong to this workbench page.

  Parameters:
    `editor` - the editor to close
    `confirm` - `true` to ask the user before saving unsaved changes (recommended), and `false` to save unsaved changes without asking
  Returns:
    `true` if the command succeeded, and `false` if the editor was not saved

### savePerspective

    public void savePerspective()

  Saves the visible views, their layout, and the visible action sets for this page to the current perspective descriptor. The contents of the current perspective descriptor are overwritten.

### savePerspectiveAs

    public void savePerspectiveAs(IPerspectiveDescriptor perspective)

  Saves the visible views, their layout, and the visible action sets for this page to the given perspective descriptor. The contents of the given perspective descriptor are overwritten and it is made the current one for this page.

  Parameters:
    `perspective` - the perspective descriptor to save to

### setEditorAreaVisible

    public void setEditorAreaVisible(boolean showEditorArea)

  Show or hide the editor area for the page's active perspective.

  Parameters:
    `showEditorArea` - `true` to show the editor area, `false` to hide the editor area

### setPerspective

    public void setPerspective(IPerspectiveDescriptor perspective)

  Changes the visible views, their layout, and the visible action sets within the page to match the given perspective descriptor. This is a rearrangement of components and not a replacement. The contents of the old perspective descriptor are unaffected.

  When a perspective change occurs the old perspective is deactivated (hidden) and cached for future reference. Then the new perspective is activated (shown). The views within the page are shared by all existing perspectives to make it easy for the user to switch between one perspective and another quickly without loss of context.

  During activation the action sets are modified. If an action set is specified in the new perspective which is not visible in the old one it will be created. If an old action set is not specified in the new perspective it will be disposed.

  The visible views and their layout within the page also change. If a view is specified in the new perspective which is not visible in the old one a new instance of the view will be created. If an old view is not specified in the new perspective it will be hidden. This view may reappear if the user selects it from the View menu or if they switch to a perspective (which may be the old one) where the view is visible.

  The open editors are not modified by this method.

  Parameters:
    `perspective` - the perspective descriptor

### showActionSet

    public void showActionSet(String actionSetID)

  Shows an action set in this page.

  In most cases where this method is used the caller is tightly coupled to a particular action set. They define it in the registry and may make it visible in certain scenarios by calling `showActionSet`. A static variable is often used to identify the action set id in caller code.

### showView

    public IViewPart showView(String viewId)
                       throws PartInitException

  Shows the view identified by the given view id in this page and gives it focus. If there is a view identified by the given view id (and with no secondary id) already open in this page, it is given focus.

  Parameters:
    `viewId` - the id of the view extension to use
  Returns:
    the shown view
  Throws:
    `PartInitException` - if the view could not be initialized

### showView

    public IViewPart showView(String viewId,
                              String secondaryId,
                              int mode)
                       throws PartInitException

  Shows a view in this page with the given id and secondary id. The behaviour of this method varies based on the supplied mode. If `VIEW_ACTIVATE` is supplied, the view is focus. If `VIEW_VISIBLE` is supplied, then it is made visible but not given focus. Finally, if `VIEW_CREATE` is supplied the view is created and will only be made visible if it is not created in a folder that already contains visible views.

  This allows multiple instances of a particular view to be created. They are disambiguated using the secondary id. If a secondary id is given, the view must allow multiple instances by having specified allowMultiple="true" in its extension.

  Parameters:
    `viewId` - the id of the view extension to use
    `secondaryId` - the secondary id to use, or `null` for no secondary id
    `mode` - the activation mode. Must be `VIEW_ACTIVATE`, `VIEW_VISIBLE` or `VIEW_CREATE`
  Returns:
    a view
  Throws:
    `PartInitException` - if the view could not be initialized
    `IllegalArgumentException` - if the supplied mode is not valid
  Since:
    3.0

### isEditorPinned

    public boolean isEditorPinned(IEditorPart editor)

  Returns true if the editor is pinned and should not be reused.

  Returns:
    boolean

### getEditorReuseThreshold

    public int getEditorReuseThreshold()

  Deprecated.

  Returns the number of open editors before reusing editors.

  Returns:
    a int Note: For EXPERIMENTAL use only. IT MAY CHANGE IN NEAR FUTURE.

### setEditorReuseThreshold

    public void setEditorReuseThreshold(int openEditors)

  Deprecated. use IPageLayout.setEditorReuseThreshold(int openEditors) instead.

  Set the number of open editors before reusing editors. If < 0 the user preference settings will be used. Note: For EXPERIMENTAL use only. IT MAY CHANGE IN NEAR FUTURE.

### getNavigationHistory

    public INavigationHistory getNavigationHistory()

  Returns the navigation history which manages a list of entries keeping the history of places (positions, selection and editors) the user visited making it easier to the user to move back and forward without losing context.

  Since:
    2.1

### getViewStack

    public IViewPart[] getViewStack(IViewPart part)

  Returns an array of IViewParts that are stacked with the given part. EXPERIMENTAL

  Parameters:
    `part` - the part to test
  Returns:
    the parts that are stacked with this part, including the part in question. `null` is returned if the part does not belong to this page.
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.